[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# GetJSONInstanceType

JSON factory: Get the JSONData class types to use

## Declaration

Source position: fpjson.pp line 767

`function GetJSONInstanceType(`
`AType: TJSONInstanceType`
`):TJSONDataClass;`

## Arguments

`AType` |  | Data type for which to return the class.

## Function result

The class to instantiate for data of type AType

## Description

GetJSONInstanceType can be used to retrieve the registered descendents of the TJSONData class, one for each possible kind of data. The result is the class type used to instantiate data of type AType.

The JSON parser and the CreateJSON function will use the registered types to instantiate JSON Data. When the parser encounters a value of type AType, it will instantiate a class of the type returned by this function. By default, the classes in the fpJSON unit are returned.

## See also

CreateJSON |  | Create a JSON data item
TJSONData |  | Base (abstract) object for all JSON based data types
GetJSON |  | Convert JSON string to JSON data structure